OpenJPEG 2.5.0

Data Fields
opj_mqc_state Struct Reference

This struct defines the state of a context. More...

`#include <mqc.h>`

## Data Fields
OPJ_UINT32 | qeval
| the probability of the Least Probable Symbol (0.75->0x8000, 1.5->0xffff) More...
OPJ_UINT32 | mps
| the Most Probable Symbol (0 or 1) More...
const struct opj_mqc_state * | nmps
| next state if the next encoded symbol is the MPS More...
const struct opj_mqc_state * | nlps
| next state if the next encoded symbol is the LPS More...

## Detailed Description

This struct defines the state of a context.

## Field Documentation

## ◆ mps

OPJ_UINT32 opj_mqc_state::mps

the Most Probable Symbol (0 or 1)

## ◆ nlps

const struct opj_mqc_state* opj_mqc_state::nlps

next state if the next encoded symbol is the LPS

## ◆ nmps

const struct opj_mqc_state* opj_mqc_state::nmps

next state if the next encoded symbol is the MPS

## ◆ qeval

OPJ_UINT32 opj_mqc_state::qeval

the probability of the Least Probable Symbol (0.75->0x8000, 1.5->0xffff)

The documentation for this struct was generated from the following file:

- mqc.h